limit stable port information

Package: limit
Version: 1.14.10
Revision: 1
BuildDepends: fink (>= 0.24.12)
Depends: emacsen, apel (>= 10.7-1), make
Recommends: semi
Suggests: wl
Conflicts: flim
Replaces: flim
Source: http://www.jpl.org/ftp/pub/m17n/%n-1_14-200709052339.tar.gz
Source-MD5: 59b574b5505ca3e4d2dab56ba6d545eb
PatchFile: %n.patch
PatchFile-MD5: ea23a22bdabc52bbe926e067b851a7e2
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | sed 's|@VERSION@|%v-%r|g' | patch -p1
<<
CompileScript: <<
#!/bin/sh -ev
FLAGS="-batch -q -no-site-file -l texinfmt"
PROCESS="-f texinfo-every-node-update -f texinfo-format-buffer -f save-buffer"
echo 'iso-2022-jp' | emacs $FLAGS mime-en.texi $PROCESS
echo 'iso-2022-jp' | emacs $FLAGS mime-ja.texi $PROCESS
makeinfo sasl.texi
<<
InstallScript: <<
install -m 755 -d %i/share/%n
install -m 644 mailcap.el smtpmail.el %i/share/%n
rm -f mailcap.el smtpmail.el

install -m 755 -d %i/share/emacs/site-lisp/flim
install -m 644 *.el FLIM-* Makefile %i/share/emacs/site-lisp/flim

install -m 755 -d %i/share/info
install -m 644 *.info %i/share/info

install -m 755 -d %i/share/doc/%n/tests
install -m 644 tests/*.el %i/share/doc/%n/tests

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: ChangeLog NEWS README* VERSION *.sgml
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
InfoDocs: mime-en.info mime-ja.info sasl.info
Description: Library about Internet Message, for IT generation
DescDetail: <<
LIMIT is one of subspecies of FLIM.
FLIM (Faithful Library about Internet Message) is a library to provide
basic features about message representation or encoding. It consists
of following modules:

std11.el --- STD 11 (RFC 822) parser and utility
mime.el --- to provide various services about MIME-entities
mime-def.el --- Definitions about MIME format
mime-parse.el --- MIME parser
mel.el --- MIME encoder/decoder
mel-b-dl.el --- base64 (B-encoding) encoder/decoder
(for Emacs 20 with dynamic loading support)
mel-b-ccl.el --- base64 (B-encoding) encoder/decoder
(using CCL)
mel-b-en.el --- base64 (B-encoding) encoder/decoder
(for other emacsen)
mel-q-ccl.el --- quoted-printable and Q-encoding
encoder/decoder (using CCL)
mel-q.el --- quoted-printable and Q-encoding
encoder/decoder
mel-u.el --- unofficial backend for uuencode
mel-g.el --- unofficial backend for gzip64
eword-decode.el --- encoded-word decoder
eword-encode.el --- encoded-word encoder
mailcap.e --- mailcap parser and utility

This library should work on:
Emacs 20.4 and up
XEmacs 21.1 and up
<<
License: GPL
Homepage: http://pure.fan.gr.jp/simm/?MyWorks
Maintainer: Todai Fink Team

limit stable port .patch

diff -Naur limit-1_14-200411201014.orig/fink/limit-install limit-1_14-200411201014/fink/limit-install
--- limit-1_14-200411201014.orig/fink/limit-install Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-install Tue Mar 15 17:47:15 2005
@@ -0,0 +1,149 @@
+#!/bin/sh
+set -e
+
+FLAVOR=$1
+PACKAGE=limit
+INSTDIR=flim
+VERSION=@VERSION@
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo Need argument to determin FLAVOR of emacsen
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo Internal error: need package name
+ exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${INSTDIR}
+SITELISP=@PREFIX@/share/${FLAVOR}/site-lisp
+EFLAGS="-no-site-file -batch -q -l ./FLIM-MK.comp"
+ELCDIR_BASE=@PREFIX@/share/${FLAVOR}/site-lisp/${INSTDIR}
+APEL_DIR_BASE=${SITELISP}/apel
+
+EMACSEN_MULE=${FLAVOR}
+EMACSEN_NOMULE=""
+
+FLAVOR_SUFFIX=`echo ${FLAVOR} | cut -s -d - -f 2`
+FLAVORTEST=`echo ${FLAVOR} | sed -e s/^s// | cut -c-6`
+if [ "X${FLAVORTEST}" = "Xxemacs" ]; then
+ FLAVOR_BODY=`echo ${FLAVOR} | cut -d - -f 1`
+ if [ "X${FLAVOR_SUFFIX}" = "Xmule" ]; then
+ EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ EMACSEN_NOMULE=""
+ elif [ "X${FLAVOR_SUFFIX}" = "Xnomule" ]; then
+ EMACSEN_MULE=""
+ EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-nomule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_NOMULE}" ]; then
+ EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+ fi
+ else
+ FLAVOR_SUFFIX=""
+ EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR}*-nomule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_NOMULE}" ]; then
+ EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+ fi
+ fi
+fi
+
+COMPILED=no
+for EMACSEN in "${EMACSEN_MULE}" "${EMACSEN_NOMULE}"; do
+ if [ -n "${EMACSEN}" ]; then
+ ELCDIR=${ELCDIR_BASE}
+ APEL_DIR=${APEL_DIR_BASE}
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ if [ "X${EMACSEN}" = "X${EMACSEN_MULE}" ]; then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (mule) ...\c"
+ ELCDIR=${ELCDIR}/mule
+ if [ -d ${APEL_DIR_BASE}/mule ]; then
+ APEL_DIR=${APEL_DIR_BASE}/mule
+ fi
+ else
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (nomule) ...\c"
+ ELCDIR=${ELCDIR}/nomule
+ if [ -d ${APEL_DIR_BASE}/nomule ]; then
+ APEL_DIR=${APEL_DIR_BASE}/nomule
+ fi
+ fi
+ else
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...\c"
+ fi
+ STAMP="${ELCDIR}/compile-stamp"
+ if [ -e "${STAMP}" ]; then
+ if [ "X${VERSION}" = X"`cat ${STAMP}`" ]; then
+ echo " skipped. (already compiled)"
+ else
+ rm -f ${STAMP}
+ fi
+ fi
+ if [ ! -e "${STAMP}" ]; then
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ rm -f ${ELCDIR_BASE}/*.el ${ELCDIR_BASE}/*.elc
+ fi
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}/tmp
+ cp -r ${ELDIR}/* ${ELCDIR}/tmp/
+ (cd ${ELCDIR}/tmp
+ cat << EOF > FLIM-MK.comp
+(setq load-path (cons "${APEL_DIR}" load-path))
+EOF
+ cat FLIM-MK >> FLIM-MK.comp
+ make FLAGS="${EFLAGS}" EMACS=${EMACSEN} LISPDIR=${ELCDIR} install \
+ > ${ELCDIR}/CompilationLog 2>&1
+ cd ${ELCDIR}
+ echo "rm -rf ${ELCDIR}/flim/*.el ${ELCDIR}/tmp" >> ${ELCDIR}/CompilationLog 2>&1
+ rm -rf ${ELCDIR}/flim/*.el ${ELCDIR}/tmp
+ echo "mv ${ELCDIR}/flim/* ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+ mv ${ELCDIR}/flim/* ${ELCDIR}/
+ echo "rm -rf ${ELCDIR}/flim" >> ${ELCDIR}/CompilationLog 2>&1
+ rm -rf ${ELCDIR}/flim
+ cd ${ELDIR}
+ for f in *.el; do
+ if [ -f ${ELCDIR}/${f}c ]; then
+ ln -sf ${ELDIR}/${f} ${ELCDIR}/${f}
+ fi
+ done
+ )
+ gzip -9 ${ELCDIR}/CompilationLog
+ chmod 644 ${ELCDIR}/CompilationLog.gz
+ if [ -f ${ELCDIR}/mime.elc ]; then
+ touch ${ELCDIR}/*.elc
+ chmod 644 ${ELCDIR}/*.elc
+ echo "${VERSION}" > ${STAMP}
+ chmod 644 ${STAMP}
+ COMPILED=yes
+ fi
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ if [ -e ${ELCDIR_BASE}/mule/compile-stamp ]; then
+ ln -sf ${ELCDIR_BASE}/mule/*.elc ${ELCDIR_BASE}/mule/*.el ${ELCDIR_BASE}/
+ elif [ -e ${ELCDIR_BASE}/nomule/compile-stamp ]; then
+ ln -sf ${ELCDIR_BASE}/nomule/*.elc ${ELCDIR_BASE}/nomule/*.el ${ELCDIR_BASE}/
+ fi
+ fi
+ echo " done."
+ fi
+ fi
+done
+
+if [ "X${COMPILED}" = Xyes ]; then
+ # recompile semi
+ pkg=semi
+ if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/${pkg} ]; then
+ if [ -f @PREFIX@/lib/emacsen-common/packages/install/${pkg} ]; then
+ @PREFIX@/lib/emacsen-common/packages/remove/${pkg} ${FLAVOR}
+ @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+ fi
+ fi
+fi
+
+exit 0
diff -Naur limit-1_14-200411201014.orig/fink/limit-remove limit-1_14-200411201014/fink/limit-remove
--- limit-1_14-200411201014.orig/fink/limit-remove Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-remove Tue Mar 15 17:47:25 2005
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+FLAVOR=$1
+PACKAGE=limit
+INSTDIR=flim
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo Need argument to determin FLAVOR of emacsen
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo Internal error: need package name
+ exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${INSTDIR}
+
+/bin/echo "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ...\c"
+rm -rf ${ELCDIR}
+echo " done."
+
+exit 0
diff -Naur limit-1_14-200411201014.orig/fink/limit-startup limit-1_14-200411201014/fink/limit-startup
--- limit-1_14-200411201014.orig/fink/limit-startup Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-startup Thu Mar 24 16:33:21 2005
@@ -0,0 +1,56 @@
+;;; 50limit.el --- Fink limit startup file -*-mode: emacs-lisp;-*-
+
+;;; Code:
+
+(let ((elc-dir (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor) "/site-lisp/flim")))
+ (if (not (file-directory-p elc-dir))
+ ()
+ (if (featurep 'xemacs)
+ (if (featurep 'mule)
+ (and (file-directory-p (concat elc-dir "/mule"))
+ (setq elc-dir (concat elc-dir "/mule")))
+ (and (file-directory-p (concat elc-dir "/nomule"))
+ (setq elc-dir (concat elc-dir "/nomule")))))
+ (if (and nil (fboundp 'fink-pkg-add-load-path-item)) ; fink-pkg-* is not
+ (fink-pkg-add-load-path-item elc-dir) ; correctly working.
+ (setq load-path (cons elc-dir load-path)))
+ (if (featurep 'xemacs)
+ ;; Use XEmacs's mmencode (default values)
+ ()
+ ;; Use mime-codecs' commands
+ (setq base64-external-encoder '("base64-encode"))
+ (setq base64-external-decoder '("base64-decode"))
+ (setq base64-external-decoder-option-to-specify-file nil)
+ (setq quoted-printable-external-encoder '("qp-encode"))
+ (setq quoted-printable-internal-encoding-limit
+ (if (and (featurep 'xemacs) (featurep 'mule))
+ 0
+ (require 'path-util)
+ (if (exec-installed-p "qp-encode")
+ 1000
+ nil)))
+ (setq quoted-printable-external-decoder '("qp-decode"))
+ (setq quoted-printable-external-decoder-option-to-specify-file nil)
+ (setq gzip64-external-encoder '("sh" "-c" "gzip -c | base64-encode"))
+ (setq gzip64-external-decoder '("sh" "-c" "base64-decode | gzip -dc"))
+;;; ;; Use metamail's mimencode
+;;; (setq base64-external-encoder '("mimencode"))
+;;; (setq base64-external-decoder '("mimencode" "-u"))
+;;; (setq base64-external-decoder-option-to-specify-file '("-o"))
+;;; (setq quoted-printable-external-encoder '("mimencode" "-q"))
+;;; (setq quoted-printable-internal-encoding-limit
+;;; (if (and (featurep 'xemacs) (featurep 'mule))
+;;; 0
+;;; (require 'path-util)
+;;; (if (exec-installed-p "mimencode")
+;;; 1000
+;;; nil)))
+;;; (setq quoted-printable-external-decoder '("mimencode" "-q" "-u"))
+;;; (setq quoted-printable-external-decoder-option-to-specify-file '("-o"))
+;;; (setq gzip64-external-encoder '("sh" "-c" "gzip -c | mimencode"))
+;;; (setq gzip64-external-decoder '("sh" "-c" "mimencode -u | gzip -dc"))
+ )
+ ;;
+ ))
+
+;;; 50limit.el ends here
diff -Naur flim-1.14.8.orig/mime-en.texi flim-1.14.8/mime-en.texi
--- flim-1.14.8.orig/mime-en.texi 2002-10-09 00:50:05.000000000 +0900
+++ flim-1.14.8/mime-en.texi 2007-05-08 09:39:32.000000000 +0900
@@ -1,6 +1,10 @@
\input texinfo.tex
@c Generated automatically from mime-en.sgml by sinfo 3.7.
@setfilename mime-en.info
+@dircategory Emacs
+@direntry
+* FLIM-en: (mime-en). MIME features of FLIM, a fundamental library to process Internet Messages for GNU Emacsen.
+@end direntry
@settitle{FLIM 1.14 Reference Manual about MIME Features}
@titlepage
@title FLIM 1.14 Reference Manual about MIME Features
diff -Naur flim-1.14.8.orig/mime-ja.texi flim-1.14.8/mime-ja.texi
--- flim-1.14.8.orig/mime-ja.texi 2002-10-09 00:50:05.000000000 +0900
+++ flim-1.14.8/mime-ja.texi 2007-05-08 09:41:02.000000000 +0900
@@ -1,6 +1,10 @@
\input texinfo.tex
@c Generated automatically from mime-ja.sgml by sinfo 3.7.
@setfilename mime-ja.info
+@dircategory Emacs
+@direntry
+* FLIM-ja: (mime-ja). MIME features of FLIM, a fundamental library to process Internet Messages for GNU Emacsen.
+@end direntry
@settitle{FLIM 1.14 MIME 機能説明書}
@titlepage
@title FLIM 1.14 MIME 機能説明書

limit _unstable_ port information

Package: limit
Version: 1.14.10
Revision: 1
BuildDepends: fink (>= 0.24.12)
Depends: emacsen, apel (>= 10.7-1), make
Recommends: semi
Suggests: wl
Conflicts: flim
Replaces: flim
Source: http://www.jpl.org/ftp/pub/m17n/%n-1_14-200709052339.tar.gz
Source-MD5: 59b574b5505ca3e4d2dab56ba6d545eb
PatchFile: %n.patch
PatchFile-MD5: ea23a22bdabc52bbe926e067b851a7e2
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | sed 's|@VERSION@|%v-%r|g' | patch -p1
<<
CompileScript: <<
#!/bin/sh -ev
FLAGS="-batch -q -no-site-file -l texinfmt"
PROCESS="-f texinfo-every-node-update -f texinfo-format-buffer -f save-buffer"
echo 'iso-2022-jp' | emacs $FLAGS mime-en.texi $PROCESS
echo 'iso-2022-jp' | emacs $FLAGS mime-ja.texi $PROCESS
makeinfo sasl.texi
<<
InstallScript: <<
install -m 755 -d %i/share/%n
install -m 644 mailcap.el smtpmail.el %i/share/%n
rm -f mailcap.el smtpmail.el

install -m 755 -d %i/share/emacs/site-lisp/flim
install -m 644 *.el FLIM-* Makefile %i/share/emacs/site-lisp/flim

install -m 755 -d %i/share/info
install -m 644 *.info %i/share/info

install -m 755 -d %i/share/doc/%n/tests
install -m 644 tests/*.el %i/share/doc/%n/tests

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: ChangeLog NEWS README* VERSION *.sgml
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
InfoDocs: mime-en.info mime-ja.info sasl.info
Description: Library about Internet Message, for IT generation
DescDetail: <<
LIMIT is one of subspecies of FLIM.
FLIM (Faithful Library about Internet Message) is a library to provide
basic features about message representation or encoding. It consists
of following modules:

std11.el --- STD 11 (RFC 822) parser and utility
mime.el --- to provide various services about MIME-entities
mime-def.el --- Definitions about MIME format
mime-parse.el --- MIME parser
mel.el --- MIME encoder/decoder
mel-b-dl.el --- base64 (B-encoding) encoder/decoder
(for Emacs 20 with dynamic loading support)
mel-b-ccl.el --- base64 (B-encoding) encoder/decoder
(using CCL)
mel-b-en.el --- base64 (B-encoding) encoder/decoder
(for other emacsen)
mel-q-ccl.el --- quoted-printable and Q-encoding
encoder/decoder (using CCL)
mel-q.el --- quoted-printable and Q-encoding
encoder/decoder
mel-u.el --- unofficial backend for uuencode
mel-g.el --- unofficial backend for gzip64
eword-decode.el --- encoded-word decoder
eword-encode.el --- encoded-word encoder
mailcap.e --- mailcap parser and utility

This library should work on:
Emacs 20.4 and up
XEmacs 21.1 and up
<<
License: GPL
Homepage: http://pure.fan.gr.jp/simm/?MyWorks
Maintainer: Todai Fink Team

limit _unstable_ port .patch

diff -Naur limit-1_14-200411201014.orig/fink/limit-install limit-1_14-200411201014/fink/limit-install
--- limit-1_14-200411201014.orig/fink/limit-install Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-install Tue Mar 15 17:47:15 2005
@@ -0,0 +1,149 @@
+#!/bin/sh
+set -e
+
+FLAVOR=$1
+PACKAGE=limit
+INSTDIR=flim
+VERSION=@VERSION@
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo Need argument to determin FLAVOR of emacsen
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo Internal error: need package name
+ exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${INSTDIR}
+SITELISP=@PREFIX@/share/${FLAVOR}/site-lisp
+EFLAGS="-no-site-file -batch -q -l ./FLIM-MK.comp"
+ELCDIR_BASE=@PREFIX@/share/${FLAVOR}/site-lisp/${INSTDIR}
+APEL_DIR_BASE=${SITELISP}/apel
+
+EMACSEN_MULE=${FLAVOR}
+EMACSEN_NOMULE=""
+
+FLAVOR_SUFFIX=`echo ${FLAVOR} | cut -s -d - -f 2`
+FLAVORTEST=`echo ${FLAVOR} | sed -e s/^s// | cut -c-6`
+if [ "X${FLAVORTEST}" = "Xxemacs" ]; then
+ FLAVOR_BODY=`echo ${FLAVOR} | cut -d - -f 1`
+ if [ "X${FLAVOR_SUFFIX}" = "Xmule" ]; then
+ EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ EMACSEN_NOMULE=""
+ elif [ "X${FLAVOR_SUFFIX}" = "Xnomule" ]; then
+ EMACSEN_MULE=""
+ EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-nomule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_NOMULE}" ]; then
+ EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+ fi
+ else
+ FLAVOR_SUFFIX=""
+ EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR}*-mule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_MULE}" ]; then
+ EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+ fi
+ EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR}*-nomule* 2>/dev/null | head -1`
+ if [ -n "${EMACSEN_NOMULE}" ]; then
+ EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+ fi
+ fi
+fi
+
+COMPILED=no
+for EMACSEN in "${EMACSEN_MULE}" "${EMACSEN_NOMULE}"; do
+ if [ -n "${EMACSEN}" ]; then
+ ELCDIR=${ELCDIR_BASE}
+ APEL_DIR=${APEL_DIR_BASE}
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ if [ "X${EMACSEN}" = "X${EMACSEN_MULE}" ]; then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (mule) ...\c"
+ ELCDIR=${ELCDIR}/mule
+ if [ -d ${APEL_DIR_BASE}/mule ]; then
+ APEL_DIR=${APEL_DIR_BASE}/mule
+ fi
+ else
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (nomule) ...\c"
+ ELCDIR=${ELCDIR}/nomule
+ if [ -d ${APEL_DIR_BASE}/nomule ]; then
+ APEL_DIR=${APEL_DIR_BASE}/nomule
+ fi
+ fi
+ else
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ...\c"
+ fi
+ STAMP="${ELCDIR}/compile-stamp"
+ if [ -e "${STAMP}" ]; then
+ if [ "X${VERSION}" = X"`cat ${STAMP}`" ]; then
+ echo " skipped. (already compiled)"
+ else
+ rm -f ${STAMP}
+ fi
+ fi
+ if [ ! -e "${STAMP}" ]; then
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ rm -f ${ELCDIR_BASE}/*.el ${ELCDIR_BASE}/*.elc
+ fi
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}/tmp
+ cp -r ${ELDIR}/* ${ELCDIR}/tmp/
+ (cd ${ELCDIR}/tmp
+ cat << EOF > FLIM-MK.comp
+(setq load-path (cons "${APEL_DIR}" load-path))
+EOF
+ cat FLIM-MK >> FLIM-MK.comp
+ make FLAGS="${EFLAGS}" EMACS=${EMACSEN} LISPDIR=${ELCDIR} install \
+ > ${ELCDIR}/CompilationLog 2>&1
+ cd ${ELCDIR}
+ echo "rm -rf ${ELCDIR}/flim/*.el ${ELCDIR}/tmp" >> ${ELCDIR}/CompilationLog 2>&1
+ rm -rf ${ELCDIR}/flim/*.el ${ELCDIR}/tmp
+ echo "mv ${ELCDIR}/flim/* ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+ mv ${ELCDIR}/flim/* ${ELCDIR}/
+ echo "rm -rf ${ELCDIR}/flim" >> ${ELCDIR}/CompilationLog 2>&1
+ rm -rf ${ELCDIR}/flim
+ cd ${ELDIR}
+ for f in *.el; do
+ if [ -f ${ELCDIR}/${f}c ]; then
+ ln -sf ${ELDIR}/${f} ${ELCDIR}/${f}
+ fi
+ done
+ )
+ gzip -9 ${ELCDIR}/CompilationLog
+ chmod 644 ${ELCDIR}/CompilationLog.gz
+ if [ -f ${ELCDIR}/mime.elc ]; then
+ touch ${ELCDIR}/*.elc
+ chmod 644 ${ELCDIR}/*.elc
+ echo "${VERSION}" > ${STAMP}
+ chmod 644 ${STAMP}
+ COMPILED=yes
+ fi
+ if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+ if [ -e ${ELCDIR_BASE}/mule/compile-stamp ]; then
+ ln -sf ${ELCDIR_BASE}/mule/*.elc ${ELCDIR_BASE}/mule/*.el ${ELCDIR_BASE}/
+ elif [ -e ${ELCDIR_BASE}/nomule/compile-stamp ]; then
+ ln -sf ${ELCDIR_BASE}/nomule/*.elc ${ELCDIR_BASE}/nomule/*.el ${ELCDIR_BASE}/
+ fi
+ fi
+ echo " done."
+ fi
+ fi
+done
+
+if [ "X${COMPILED}" = Xyes ]; then
+ # recompile semi
+ pkg=semi
+ if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/${pkg} ]; then
+ if [ -f @PREFIX@/lib/emacsen-common/packages/install/${pkg} ]; then
+ @PREFIX@/lib/emacsen-common/packages/remove/${pkg} ${FLAVOR}
+ @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+ fi
+ fi
+fi
+
+exit 0
diff -Naur limit-1_14-200411201014.orig/fink/limit-remove limit-1_14-200411201014/fink/limit-remove
--- limit-1_14-200411201014.orig/fink/limit-remove Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-remove Tue Mar 15 17:47:25 2005
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+FLAVOR=$1
+PACKAGE=limit
+INSTDIR=flim
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo Need argument to determin FLAVOR of emacsen
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo Internal error: need package name
+ exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xemacs19 ]; then exit 0; fi
+if [ "X${FLAVOR}" = Xmule2 ]; then exit 0; fi
+
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${INSTDIR}
+
+/bin/echo "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ...\c"
+rm -rf ${ELCDIR}
+echo " done."
+
+exit 0
diff -Naur limit-1_14-200411201014.orig/fink/limit-startup limit-1_14-200411201014/fink/limit-startup
--- limit-1_14-200411201014.orig/fink/limit-startup Thu Jan 1 09:00:00 1970
+++ limit-1_14-200411201014/fink/limit-startup Thu Mar 24 16:33:21 2005
@@ -0,0 +1,56 @@
+;;; 50limit.el --- Fink limit startup file -*-mode: emacs-lisp;-*-
+
+;;; Code:
+
+(let ((elc-dir (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor) "/site-lisp/flim")))
+ (if (not (file-directory-p elc-dir))
+ ()
+ (if (featurep 'xemacs)
+ (if (featurep 'mule)
+ (and (file-directory-p (concat elc-dir "/mule"))
+ (setq elc-dir (concat elc-dir "/mule")))
+ (and (file-directory-p (concat elc-dir "/nomule"))
+ (setq elc-dir (concat elc-dir "/nomule")))))
+ (if (and nil (fboundp 'fink-pkg-add-load-path-item)) ; fink-pkg-* is not
+ (fink-pkg-add-load-path-item elc-dir) ; correctly working.
+ (setq load-path (cons elc-dir load-path)))
+ (if (featurep 'xemacs)
+ ;; Use XEmacs's mmencode (default values)
+ ()
+ ;; Use mime-codecs' commands
+ (setq base64-external-encoder '("base64-encode"))
+ (setq base64-external-decoder '("base64-decode"))
+ (setq base64-external-decoder-option-to-specify-file nil)
+ (setq quoted-printable-external-encoder '("qp-encode"))
+ (setq quoted-printable-internal-encoding-limit
+ (if (and (featurep 'xemacs) (featurep 'mule))
+ 0
+ (require 'path-util)
+ (if (exec-installed-p "qp-encode")
+ 1000
+ nil)))
+ (setq quoted-printable-external-decoder '("qp-decode"))
+ (setq quoted-printable-external-decoder-option-to-specify-file nil)
+ (setq gzip64-external-encoder '("sh" "-c" "gzip -c | base64-encode"))
+ (setq gzip64-external-decoder '("sh" "-c" "base64-decode | gzip -dc"))
+;;; ;; Use metamail's mimencode
+;;; (setq base64-external-encoder '("mimencode"))
+;;; (setq base64-external-decoder '("mimencode" "-u"))
+;;; (setq base64-external-decoder-option-to-specify-file '("-o"))
+;;; (setq quoted-printable-external-encoder '("mimencode" "-q"))
+;;; (setq quoted-printable-internal-encoding-limit
+;;; (if (and (featurep 'xemacs) (featurep 'mule))
+;;; 0
+;;; (require 'path-util)
+;;; (if (exec-installed-p "mimencode")
+;;; 1000
+;;; nil)))
+;;; (setq quoted-printable-external-decoder '("mimencode" "-q" "-u"))
+;;; (setq quoted-printable-external-decoder-option-to-specify-file '("-o"))
+;;; (setq gzip64-external-encoder '("sh" "-c" "gzip -c | mimencode"))
+;;; (setq gzip64-external-decoder '("sh" "-c" "mimencode -u | gzip -dc"))
+ )
+ ;;
+ ))
+
+;;; 50limit.el ends here
diff -Naur flim-1.14.8.orig/mime-en.texi flim-1.14.8/mime-en.texi
--- flim-1.14.8.orig/mime-en.texi 2002-10-09 00:50:05.000000000 +0900
+++ flim-1.14.8/mime-en.texi 2007-05-08 09:39:32.000000000 +0900
@@ -1,6 +1,10 @@
\input texinfo.tex
@c Generated automatically from mime-en.sgml by sinfo 3.7.
@setfilename mime-en.info
+@dircategory Emacs
+@direntry
+* FLIM-en: (mime-en). MIME features of FLIM, a fundamental library to process Internet Messages for GNU Emacsen.
+@end direntry
@settitle{FLIM 1.14 Reference Manual about MIME Features}
@titlepage
@title FLIM 1.14 Reference Manual about MIME Features
diff -Naur flim-1.14.8.orig/mime-ja.texi flim-1.14.8/mime-ja.texi
--- flim-1.14.8.orig/mime-ja.texi 2002-10-09 00:50:05.000000000 +0900
+++ flim-1.14.8/mime-ja.texi 2007-05-08 09:41:02.000000000 +0900
@@ -1,6 +1,10 @@
\input texinfo.tex
@c Generated automatically from mime-ja.sgml by sinfo 3.7.
@setfilename mime-ja.info
+@dircategory Emacs
+@direntry
+* FLIM-ja: (mime-ja). MIME features of FLIM, a fundamental library to process Internet Messages for GNU Emacsen.
+@end direntry
@settitle{FLIM 1.14 MIME 機能説明書}
@titlepage
@title FLIM 1.14 MIME 機能説明書